Subject: Re: Kernel hang on PS3 with SMP

From: Geoff Levand <[email-masked]>
Date: Fri, 28 Oct 2011 18:33:25 -0700

Hi,

On Thu, 2011-10-27 at 18:17 -0700, Geoff Levand wrote: 
> I verified that indeed 317f394160e9beb97d19a84c39b7e5eb3d7815a8
> 'sched: Move the second half of ttwu() to the remote cpu' introduces
> the hang.

After some more digging I found that it seems a short while after
startup ps3_smp_message_pass() gets called with a PPC_MSG_RESCHEDULE,
but then there is no corresponding call to scheduler_ipi() on the target
cpu.

I'll do some more work on it and verify that this is what is actually
happening.

-Geoff